| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GaudiTesting.BaseTest.FilePreprocessor Class Reference
Inheritance diagram for GaudiTesting.BaseTest.FilePreprocessor:
[legend]

## Public Member Functions
def | __processLine__ (self, line)
def | __processFile__ (self, lines)
def | __call__ (self, input)
def | __add__ (self, rhs)

## Detailed Description

    Base class for a callable that takes a file and returns a modified
        version of it.

Definition at line 682 of file BaseTest.py.

## Member Function Documentation

def GaudiTesting.BaseTest.FilePreprocessor.__add__ | ( |  | self,
|  |  | rhs
| ) |  |

Definition at line 709 of file BaseTest.py.

709 def __add__(self, rhs):
710 return FilePreprocessorSequence([self, rhs])
711
712
GaudiTesting.BaseTest.FilePreprocessor.__add__
def __add__(self, rhs)
Definition: BaseTest.py:709
GaudiTesting.BaseTest.FilePreprocessorSequence
Definition: BaseTest.py:713

def GaudiTesting.BaseTest.FilePreprocessor.__call__ | ( |  | self,
|  |  | input
| ) |  |

Definition at line 697 of file BaseTest.py.

697 def __call__(self, input):
698 if hasattr(input, "__iter__"):
699 lines = input
700 mergeback = False
701 else:
702 lines = input.splitlines()
703 mergeback = True
704 output = self.__processFile__(lines)
705 if mergeback:
706 output = '\n'.join(output)
707 return output
708
GaudiTesting.BaseTest.FilePreprocessor.__call__
def __call__(self, input)
Definition: BaseTest.py:697
GaudiTesting.BaseTest.FilePreprocessor.__processFile__
def __processFile__(self, lines)
Definition: BaseTest.py:689

def GaudiTesting.BaseTest.FilePreprocessor.__processFile__ | ( |  | self,
|  |  | lines
| ) |  |

Definition at line 689 of file BaseTest.py.

689 def __processFile__(self, lines):
690 output = []
691 for l in lines:
692 l = self.__processLine__(l)
693 if l:
694 output.append(l)
695 return output
696
GaudiTesting.BaseTest.FilePreprocessor.__processLine__
def __processLine__(self, line)
Definition: BaseTest.py:686
GaudiTesting.BaseTest.FilePreprocessor.__processFile__
def __processFile__(self, lines)
Definition: BaseTest.py:689

def GaudiTesting.BaseTest.FilePreprocessor.__processLine__ | ( |  | self,
|  |  | line
| ) |  |

Definition at line 686 of file BaseTest.py.

686 def __processLine__(self, line):
687 return line
688
GaudiTesting.BaseTest.FilePreprocessor.__processLine__
def __processLine__(self, line)
Definition: BaseTest.py:686

The documentation for this class was generated from the following file:

- GaudiPolicy/python/GaudiTesting/BaseTest.py